import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1
import QtQuick.LocalStorage 2.0

import "../qreator"

import "../js/qrcode.js" as Qreator

Page {
    id: pageQrText
    title: i18n.tr("Text QR code")
    visible: false
    onVisibleChanged: qrcanvastext.requestQrCodePaint(qrcanvastext.text)

    Column {
        anchors.centerIn: parent
        spacing: root.pageSpacing
	
        TextArea {
            id: textQrCodeText
            placeholderText: i18n.tr("Type the text to encode")
            autoSize: true
            maximumLineCount: 5
            width: units.gu(33)
            onTextChanged: {qrcanvastext.requestQrCodePaint(text)}
        }
	
        QrCodeCanvas {
            id: qrcanvastext
            width: units.gu(33)
            height: units.gu(33)
        }
    }
    tools: QrCodeToolBar{}    
}

