import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1
import QtQuick.LocalStorage 2.0

import "../qreator"


Page {
    id: pageQrUrl
    title: i18n.tr("URL QR code")
    visible: false
    onVisibleChanged: qrcanvasurl.requestQrCodePaint(qrcanvasurl.text)
    
    Column {
        anchors.centerIn: parent
        spacing: root.pageSpacing
        
        TextField {
            id: textQrCodeUrl
            width: units.gu(33)
            placeholderText: i18n.tr("Type the URL to encode")
            hasClearButton: true
	    
            onTextChanged: {qrcanvasurl.requestQrCodePaint(text)}
        }
	
        QrCodeCanvas {
            id: qrcanvasurl
            width: units.gu(33)
            height: units.gu(33)
        }
    }
    tools: QrCodeToolBar{}    
}
