import QtQuick 2.0
import Ubuntu.Components 0.1

import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1
import QtGraphicalEffects 1.0

import "qreator"

MainView {
    // We define objectName for functional testing purposes
    // (autopilot-qt5)
    objectName: "mainView"
    applicationName: "qreator-touch"
    id: root

    width: units.gu(50)
    height: units.gu(75)

    property real pageSpacing: units.gu(6)

    // QR code themes
    QrCodeThemeStandard {
	id: standardTheme
    }


    Tabs {
        id: tabs
        Tab {
            objectName: "TabScanner"
            title: i18n.tr("Scan")
            page: ScannerPage {
		id: scannerPage
	    }
	}
	Tab {
            objectName: "TabQreator"
            title: i18n.tr("Create")	    
            page: CreatorPage {
		id: creatorPage
	    }
	}
	Tab {
	    objectName: "TabHistory"
	    title: i18n.tr("History")
	    page: HistoryPage {
		id: historyPage
	    }
	}
    }
}

