import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1
import QtGraphicalEffects 1.0

import "../qrcodes/"

PageStack {
    id: pageStack
    
    anchors {
        fill: parent
    }
    
    Component.onCompleted: push(pageRoot)

    // Themes
    ThemePage {id: themePage}
    
    // QR code datatypes
    PageQrText {id: pageQrText}
    PageQrUrl {id: pageQrUrl}
    PageQrWifi {id: pageQrWifi}
    

    // Overview of possible datatypes
    Page {
	id: pageRoot
	title: i18n.tr("QR code type")
	visible: false
	
	
	Column {
	    anchors.fill: parent
	    ListItem.Standard {
		id: itemQrText
		text: i18n.tr("Text")
		icon: Qt.resolvedUrl("../img/text.png")
		onClicked: pageStack.push(pageQrText)
		progression: true
	    }
	    ListItem.Standard {
		id: itemQrUrl
		text: i18n.tr("URL")
		icon: Qt.resolvedUrl("../img/url.png")
		onClicked: pageStack.push(pageQrUrl)
		progression: true
	    }
	    ListItem.Standard {
		id: itemQrWifi
		text: i18n.tr("Wifi")
		icon: Qt.resolvedUrl("../img/wifi.png")
		onClicked: pageStack.push(pageQrWifi)
		progression: true
	    }
	}
    }
}
