import QtQuick 2.0


Item {
    id: colorTheme
    
    property color background: "white"
    property color foreground: "black"
    
    function drawDots (qr, ctx) {
        for (var row = 0; row < qr.getModuleCount(); row++) {
            for (var col = 0; col < qr.getModuleCount(); col++) {
                if (qr.isDark(row, col) ) {
                    ctx.fillStyle = foreground;
                } else {
                    ctx.fillStyle = background;  
                }
                drawPixelShape(ctx, 1, col*pixel_size, row*pixel_size, pixel_size, pixel_size);
            }
        }	
    }

    function drawPixelShape(context, shape, x, y, width, height){
        // FIXME: need to add constants (enum) for shape. See
        // http://www.misfitgeek.com/2011/10/using-enum-in-javascript/
        if (shape == 1) {
            // Square-shaped pixels
            context.fillRect (x, y, width, height);
        }

        if (shape == 2) {
            // Round-shaped pixels
            context.beginPath();
            context.arc(x + width/2, y + height/2, width/2, 0, 2 * Math.PI, false);
            context.fill();
        }

    }


}